rails server でエラーになる

rails server でエラーになる

bundle exec rails s で以下エラーになる。

 

ググってすぐ出てきた記事はこれをコメントアウトするというもの

config/environment/development.rb

 

以下のエラーに変わった。

 

最初のエラーといい二つめのエラーといいどうやらdevelopment環境で使うGemがうまくインストールされてないと予想。

色々ググった結果以下の記事が参考になった。

bundle installでdevelopmentだけインストールできない

.bundle/config

BUNDLE_WITHOUTの行を消して再度bundle installするとうまくインストールできていなかったと思われるGemたちがインストールされていきrails sがうまくいくようになった。

 

それにしてもなんで急に失敗するようになったんだろう。他のプロジェクトでbundle updateをしたけどそれが関係あるのかな?ないよなー。んーわからない…

 

2018-11-20T06:40:13+00:00

About the Author:

齋藤大地
取締役。大手Sler出身。三度の飯よりコーディングが好きな人間。得意じゃないイラレやフォトショなどの仕事をしている時は目が死んでいる。使用言語は、Swift、Ruby(Ruby on Rails)、PHP、Javascript、Kotlin(ちょっとだけ)。

Leave A Comment

TWITTER

ご相談ください

 確認ページはございません。内容をご確認の上チェックを入れてください